# PROMETHEUS & GRAFANA

## FONCTIONNEMENT

Ce projet vise à monitorer un server avec une stack Docker via prometheus pour le scrap des metrics et Grafana pour l'affichage de celles-ci sous forme de graphiques.

Alertmanager est utilisé pour envoyer des alertes mails en fonctions de la configuration contenu dans le fichier alert.rules

Caddy est utilisé pour l'authentification aux divers applicatifs.

Cadvisor est utilisé pour récupérer les informations sur les conteneurs Docker

## CONFIGURATION

- Configuration des accès via Caddy:
```bash
nano .env
```

- Configuration de la boîte mail pour les alertes:
```bash
nano alertmanager/alertmanager.yml
```

- Configuration des alertes:
```bash
nano alertmanager/alert.rules
```

> Note : Changer les valeurs dans alert.rules concernant le niveau d'alerte pour l'usage CPU ou RAM pour éviter de se faire spammer la boite mail.

> Note 2: Penser à commenter les règles d'alerte non utilisées

## AFFICHAGE

> Grafana est accessible via l'adresse: http://<IP-SERVER>:3000